<?php
// $Id: xoops_version.php,v 1.2 2006/01/20 23:26:49 FARSUS Exp $
//***********************************************************/
//*		            	RUNCMS                              */
//*              Simplicity & ease off use                  */
//*             < http://www.runcms.org >                   */
//***********************************************************/
// ------------------------------------------------------------------------- //
// Info
$modversion['name']        = _MI_NEWS_NAME;
$modversion['version']     = 1.06;
$modversion['description'] = _MI_NEWS_DESC;
$modversion['credits']     = 'The XOOPS Project';
$modversion['license']     = 'GPL: See /manual/LICENSES/GPL.txt';
$modversion['official']    = 1;

// ------------------------------------------------------------------------- //
// Base Info
$modversion['image']       = 'images/news_slogo.gif';
$modversion['dirname']     = 'news';

// ------------------------------------------------------------------------- //
// SQL
$modversion['sqlfile']['mysql'] = 'sql/mysql.sql';
$modversion['tables'][0] = 'comments';
$modversion['tables'][1] = 'stories';
$modversion['tables'][2] = 'topics';

// ------------------------------------------------------------------------- //
// Admin
$modversion['hasAdmin']   = 1;
$modversion['adminindex'] = 'admin/index.php';
$modversion['adminmenu']  = 'admin/menu.php';

// ------------------------------------------------------------------------- //
// Blocks
$modversion['blocks'][1]['file']        = 'news_topics.php';
$modversion['blocks'][1]['name']        = _MI_NEWS_BNAME1;
$modversion['blocks'][1]['description'] = 'Shows news topics';
$modversion['blocks'][1]['show_func']   = 'b_news_topics_show';

$modversion['blocks'][2]['file']        = 'news_bigstory.php';
$modversion['blocks'][2]['name']        = _MI_NEWS_BNAME3;
$modversion['blocks'][2]['description'] = 'Shows most read story of the day';
$modversion['blocks'][2]['show_func']   = 'b_news_bigstory_show';

$modversion['blocks'][3]['file']        = 'news_top.php';
$modversion['blocks'][3]['name']        = _MI_NEWS_BNAME4;
$modversion['blocks'][3]['description'] = 'Shows top read news articles';
$modversion['blocks'][3]['show_func']   = 'b_news_top_show';
$modversion['blocks'][3]['edit_func']   = 'b_news_top_edit';
$modversion['blocks'][3]['options']     = 'counter|0|19|5|0';

$modversion['blocks'][4]['file']        = 'news_top.php';
$modversion['blocks'][4]['name']        = _MI_NEWS_BNAME5;
$modversion['blocks'][4]['description'] = 'Shows recent articles';
$modversion['blocks'][4]['show_func']   = 'b_news_top_show';
$modversion['blocks'][4]['edit_func']   = 'b_news_top_edit';
$modversion['blocks'][4]['options']     = 'published|0|19|5|0';

$modversion['blocks'][5]['file']        = 'news_comments.php';
$modversion['blocks'][5]['name']        = _MI_NEWS_BNAME6;
$modversion['blocks'][5]['description'] = 'Shows recent comments';
$modversion['blocks'][5]['show_func']   = 'b_news_comments_show';
$modversion['blocks'][5]['edit_func']   = 'b_news_comments_edit';
$modversion['blocks'][5]['options']     = '0|1|19|5';

// ------------------------------------------------------------------------- //
// Menu
$modversion['hasMain'] = 1;

$modversion['sub'][1]['name'] = _MI_NEWS_SMNAME1;
$modversion['sub'][1]['url']  = 'submit.php';

$modversion['sub'][2]['name'] = _MI_NEWS_SMNAME2;
$modversion['sub'][2]['url']  = 'archive.php';

$modversion['sub'][3]['name'] = _MI_NEWS_SMNAME3;
$modversion['sub'][3]['url']  = 'topics.php';

// ------------------------------------------------------------------------- //
// Search
$modversion['hasSearch']      = 1;
$modversion['search']['file'] = 'include/search.inc.php';
$modversion['search']['func'] = 'news_search';

// ------------------------------------------------------------------------- //
// Waiting
$modversion['hasWaiting']     = 1;
$modversion['waiting']['file'] = 'include/waiting.inc.php';
$modversion['waiting']['func'] = 'news_waiting';

// ------------------------------------------------------------------------- //
// Comments
$modversion['hasComment']       = 1;
$modversion['comment']['table'] = 'comment';
$modversion['comment']['item']  = 'storyid';
?>
